import '../Stream.dart';
import '../Tag.dart';

class EndTag extends Tag {
  EndTag();

  @override
  void readValue(ByteLayer data, {int depth = -1}) {}

  @override
  void writeValue(ByteLayer data, {int depth = -1}) {}

  @override
  TagType getTagType() {
    return TagType.End;
  }

  @override
  void setValue(val) {}

  @override
  getValue() {}

  @override
  void prettyPrint(int indent, bool recurse) {
    print("${"".padLeft(indent, '\t')}${Tag.getCanonicalName(getTagType())}");
  }

  @override
  void writeStringifiedValue(StringBuilder builder, int indent, bool isList) {}

  @override
  void readStringifiedValue(StringReader reader) {}
}
